com.unitech.stuhfl

## Class STUHFL_T_ST25RU3993_RegisterMultiple

- java.lang.Object
- - com.unitech.stuhflBridge.BR_ST25RU3993_Register
  - - com.unitech.stuhfl.STUHFL_T_ST25RU3993_RegisterMultiple

-     public class STUHFL_T_ST25RU3993_RegisterMultiple
      extends BR_ST25RU3993_Register

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Register

      `BR_ST25RU3993_Register.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `short[]` | `addr`
    `byte[]` | `data` < I Param: Multiple Register address

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_ST25RU3993_RegisterMultiple()`
    `STUHFL_T_ST25RU3993_RegisterMultiple(short[] addr)`
    `STUHFL_T_ST25RU3993_RegisterMultiple(short[] addr, byte[] data)`
    `STUHFL_T_ST25RU3993_RegisterMultiple(STUHFL_T_ST25RU3993_RegisterMultiple other)` < I/O Param: Multiple Register data

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `commit()` Write multiple ST25RU3993 registers at addresses addr with the values data
    `STUHFL_E.RET_CODE` | `fetch()` Write multiple ST25RU3993 registers from addresses addr and store content in data
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_ST25RU3993_Register

      `_Get_Register, _Get_RegisterMultiple, _Set_Register, _Set_RegisterMultiple`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### addr

          public short[] addr

    - #### data

          public byte[] data

      < I Param: Multiple Register address

  - ### Constructor Detail

    - #### STUHFL_T_ST25RU3993_RegisterMultiple

          public STUHFL_T_ST25RU3993_RegisterMultiple(STUHFL_T_ST25RU3993_RegisterMultiple other)

      < I/O Param: Multiple Register data

    - #### STUHFL_T_ST25RU3993_RegisterMultiple

          public STUHFL_T_ST25RU3993_RegisterMultiple(short[] addr,
                                                      byte[] data)

    - #### STUHFL_T_ST25RU3993_RegisterMultiple

          public STUHFL_T_ST25RU3993_RegisterMultiple(short[] addr)

    - #### STUHFL_T_ST25RU3993_RegisterMultiple

          public STUHFL_T_ST25RU3993_RegisterMultiple()

  - ### Method Detail

    - #### commit

          public STUHFL_E.RET_CODE commit()

      Write multiple ST25RU3993 registers at addresses addr with the values data
      Returns:
        error code

    - #### fetch

          public STUHFL_E.RET_CODE fetch()

      Write multiple ST25RU3993 registers from addresses addr and store content in data
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`